<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Generators::Generators&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Generators.html">Generators</a></li><li class="navelem"><a class="el" href="classCatch_1_1Generators_1_1Generators.html">Generators</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1Generators_1_1Generators-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Generators::Generators&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::Generators::Generators&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1Generators_1_1Generators__inherit__graph.png" border="0" usemap="#Catch_1_1Generators_1_1Generators_3_01T_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1Generators_1_1Generators_3_01T_01_4_inherit__map" id="Catch_1_1Generators_1_1Generators_3_01T_01_4_inherit__map">
<area shape="rect" title=" " alt="" coords="19,184,166,225"/>
<area shape="rect" href="structCatch_1_1Generators_1_1IGenerator.html" title=" " alt="" coords="19,95,166,136"/>
<area shape="rect" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html" title=" " alt="" coords="5,5,180,47"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::Generators::Generators&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1Generators_1_1Generators__coll__graph.png" border="0" usemap="#Catch_1_1Generators_1_1Generators_3_01T_01_4_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1Generators_1_1Generators_3_01T_01_4_coll__map" id="Catch_1_1Generators_1_1Generators_3_01T_01_4_coll__map">
<area shape="rect" title=" " alt="" coords="19,184,166,225"/>
<area shape="rect" href="structCatch_1_1Generators_1_1IGenerator.html" title=" " alt="" coords="19,95,166,136"/>
<area shape="rect" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html" title=" " alt="" coords="5,5,180,47"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2bcb50c42a8729cbac079b3b61699a61"><td class="memTemplParams" colspan="2">template&lt;typename... Gs&gt; </td></tr>
<tr class="memitem:a2bcb50c42a8729cbac079b3b61699a61"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#a2bcb50c42a8729cbac079b3b61699a61">Generators</a> (Gs &amp;&amp;... moreGenerators)</td></tr>
<tr class="separator:a2bcb50c42a8729cbac079b3b61699a61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66705482b7efa88cae6e6b7062d5de6a"><td class="memItemLeft" align="right" valign="top">T const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#a66705482b7efa88cae6e6b7062d5de6a">get</a> () const override</td></tr>
<tr class="separator:a66705482b7efa88cae6e6b7062d5de6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad127fd2a07347b527f79ab3b78bd40fb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#ad127fd2a07347b527f79ab3b78bd40fb">next</a> () override</td></tr>
<tr class="separator:ad127fd2a07347b527f79ab3b78bd40fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bcb50c42a8729cbac079b3b61699a61"><td class="memTemplParams" colspan="2">template&lt;typename... Gs&gt; </td></tr>
<tr class="memitem:a2bcb50c42a8729cbac079b3b61699a61"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#a2bcb50c42a8729cbac079b3b61699a61">Generators</a> (Gs &amp;&amp;... moreGenerators)</td></tr>
<tr class="separator:a2bcb50c42a8729cbac079b3b61699a61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66705482b7efa88cae6e6b7062d5de6a"><td class="memItemLeft" align="right" valign="top">T const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#a66705482b7efa88cae6e6b7062d5de6a">get</a> () const override</td></tr>
<tr class="separator:a66705482b7efa88cae6e6b7062d5de6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad127fd2a07347b527f79ab3b78bd40fb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#ad127fd2a07347b527f79ab3b78bd40fb">next</a> () override</td></tr>
<tr class="separator:ad127fd2a07347b527f79ab3b78bd40fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structCatch_1_1Generators_1_1IGenerator"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structCatch_1_1Generators_1_1IGenerator')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; T &gt;</a></td></tr>
<tr class="memitem:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#afe5b6eecbbd735e69748d68574611747">~IGenerator</a> ()=default</td></tr>
<tr class="separator:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#afe5b6eecbbd735e69748d68574611747">~IGenerator</a> ()=default</td></tr>
<tr class="separator:afe5b6eecbbd735e69748d68574611747 inherit pub_methods_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">Catch::Generators::GeneratorUntypedBase</a></td></tr>
<tr class="memitem:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a> ()=default</td></tr>
<tr class="separator:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a> ()</td></tr>
<tr class="separator:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a> ()=default</td></tr>
<tr class="separator:a00ff0179d739c3016756b6cf56fabbad inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a> ()</td></tr>
<tr class="separator:a6f05f8099fdc5744a7aff68aa8c09c7f inherit pub_methods_classCatch_1_1Generators_1_1GeneratorUntypedBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a56e1b82d4c9c952076cd58efbf7a4572"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#a56e1b82d4c9c952076cd58efbf7a4572">populate</a> (<a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;generator)</td></tr>
<tr class="separator:a56e1b82d4c9c952076cd58efbf7a4572"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad708036fa5a9bf0cd1520ce111bc851d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#ad708036fa5a9bf0cd1520ce111bc851d">populate</a> (T &amp;&amp;val)</td></tr>
<tr class="separator:ad708036fa5a9bf0cd1520ce111bc851d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ff8b7dda734d1808b644fefc67f4c98"><td class="memTemplParams" colspan="2">template&lt;typename U &gt; </td></tr>
<tr class="memitem:a8ff8b7dda734d1808b644fefc67f4c98"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#a8ff8b7dda734d1808b644fefc67f4c98">populate</a> (U &amp;&amp;val)</td></tr>
<tr class="separator:a8ff8b7dda734d1808b644fefc67f4c98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebb8051e604c7415bb7e7de91278c278"><td class="memTemplParams" colspan="2">template&lt;typename U , typename... Gs&gt; </td></tr>
<tr class="memitem:aebb8051e604c7415bb7e7de91278c278"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#aebb8051e604c7415bb7e7de91278c278">populate</a> (U &amp;&amp;valueOrGenerator, Gs &amp;&amp;... moreGenerators)</td></tr>
<tr class="separator:aebb8051e604c7415bb7e7de91278c278"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56e1b82d4c9c952076cd58efbf7a4572"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#a56e1b82d4c9c952076cd58efbf7a4572">populate</a> (<a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;generator)</td></tr>
<tr class="separator:a56e1b82d4c9c952076cd58efbf7a4572"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad708036fa5a9bf0cd1520ce111bc851d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#ad708036fa5a9bf0cd1520ce111bc851d">populate</a> (T &amp;&amp;val)</td></tr>
<tr class="separator:ad708036fa5a9bf0cd1520ce111bc851d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ff8b7dda734d1808b644fefc67f4c98"><td class="memTemplParams" colspan="2">template&lt;typename U &gt; </td></tr>
<tr class="memitem:a8ff8b7dda734d1808b644fefc67f4c98"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#a8ff8b7dda734d1808b644fefc67f4c98">populate</a> (U &amp;&amp;val)</td></tr>
<tr class="separator:a8ff8b7dda734d1808b644fefc67f4c98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebb8051e604c7415bb7e7de91278c278"><td class="memTemplParams" colspan="2">template&lt;typename U , typename... Gs&gt; </td></tr>
<tr class="memitem:aebb8051e604c7415bb7e7de91278c278"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#aebb8051e604c7415bb7e7de91278c278">populate</a> (U &amp;&amp;valueOrGenerator, Gs &amp;&amp;... moreGenerators)</td></tr>
<tr class="separator:aebb8051e604c7415bb7e7de91278c278"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:abb4eb18550a846542bb3757c120fb958"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#abb4eb18550a846542bb3757c120fb958">m_generators</a></td></tr>
<tr class="separator:abb4eb18550a846542bb3757c120fb958"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f5cd6b2479cfadbd45033c4ad17ff0c"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Generators_1_1Generators.html#a8f5cd6b2479cfadbd45033c4ad17ff0c">m_current</a> = 0</td></tr>
<tr class="separator:a8f5cd6b2479cfadbd45033c4ad17ff0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_structCatch_1_1Generators_1_1IGenerator"><td colspan="2" onclick="javascript:toggleInherit('pub_types_structCatch_1_1Generators_1_1IGenerator')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; T &gt;</a></td></tr>
<tr class="memitem:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> = T</td></tr>
<tr class="separator:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> = T</td></tr>
<tr class="separator:a1f8677875fe0ff31f39c60d45504b9a5 inherit pub_types_structCatch_1_1Generators_1_1IGenerator"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2bcb50c42a8729cbac079b3b61699a61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bcb50c42a8729cbac079b3b61699a61">&#9670;&nbsp;</a></span>Generators() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename... Gs&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::<a class="el" href="classCatch_1_1Generators_1_1Generators.html">Generators</a> </td>
          <td>(</td>
          <td class="paramtype">Gs &amp;&amp;...&#160;</td>
          <td class="paramname"><em>moreGenerators</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2bcb50c42a8729cbac079b3b61699a61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bcb50c42a8729cbac079b3b61699a61">&#9670;&nbsp;</a></span>Generators() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename... Gs&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::<a class="el" href="classCatch_1_1Generators_1_1Generators.html">Generators</a> </td>
          <td>(</td>
          <td class="paramtype">Gs &amp;&amp;...&#160;</td>
          <td class="paramname"><em>moreGenerators</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a66705482b7efa88cae6e6b7062d5de6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66705482b7efa88cae6e6b7062d5de6a">&#9670;&nbsp;</a></span>get() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T const&amp; <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a525d381fc9249a885b075a0632a8579a">Catch::Generators::IGenerator&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a66705482b7efa88cae6e6b7062d5de6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66705482b7efa88cae6e6b7062d5de6a">&#9670;&nbsp;</a></span>get() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T const&amp; <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a525d381fc9249a885b075a0632a8579a">Catch::Generators::IGenerator&lt; T &gt;</a>.</p>

</div>
</div>
<a id="ad127fd2a07347b527f79ab3b78bd40fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad127fd2a07347b527f79ab3b78bd40fb">&#9670;&nbsp;</a></span>next() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::next </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#aeed3c0cd6233c5f553549e453b8d6638">Catch::Generators::GeneratorUntypedBase</a>.</p>

</div>
</div>
<a id="ad127fd2a07347b527f79ab3b78bd40fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad127fd2a07347b527f79ab3b78bd40fb">&#9670;&nbsp;</a></span>next() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::next </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#aeed3c0cd6233c5f553549e453b8d6638">Catch::Generators::GeneratorUntypedBase</a>.</p>

</div>
</div>
<a id="a56e1b82d4c9c952076cd58efbf7a4572"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56e1b82d4c9c952076cd58efbf7a4572">&#9670;&nbsp;</a></span>populate() <span class="overload">[1/8]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::populate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;&#160;</td>
          <td class="paramname"><em>generator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a56e1b82d4c9c952076cd58efbf7a4572"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56e1b82d4c9c952076cd58efbf7a4572">&#9670;&nbsp;</a></span>populate() <span class="overload">[2/8]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::populate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &amp;&amp;&#160;</td>
          <td class="paramname"><em>generator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad708036fa5a9bf0cd1520ce111bc851d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad708036fa5a9bf0cd1520ce111bc851d">&#9670;&nbsp;</a></span>populate() <span class="overload">[3/8]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::populate </td>
          <td>(</td>
          <td class="paramtype">T &amp;&amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad708036fa5a9bf0cd1520ce111bc851d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad708036fa5a9bf0cd1520ce111bc851d">&#9670;&nbsp;</a></span>populate() <span class="overload">[4/8]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::populate </td>
          <td>(</td>
          <td class="paramtype">T &amp;&amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8ff8b7dda734d1808b644fefc67f4c98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ff8b7dda734d1808b644fefc67f4c98">&#9670;&nbsp;</a></span>populate() <span class="overload">[5/8]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename U &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::populate </td>
          <td>(</td>
          <td class="paramtype">U &amp;&amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8ff8b7dda734d1808b644fefc67f4c98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ff8b7dda734d1808b644fefc67f4c98">&#9670;&nbsp;</a></span>populate() <span class="overload">[6/8]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename U &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::populate </td>
          <td>(</td>
          <td class="paramtype">U &amp;&amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aebb8051e604c7415bb7e7de91278c278"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebb8051e604c7415bb7e7de91278c278">&#9670;&nbsp;</a></span>populate() <span class="overload">[7/8]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename U , typename... Gs&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::populate </td>
          <td>(</td>
          <td class="paramtype">U &amp;&amp;&#160;</td>
          <td class="paramname"><em>valueOrGenerator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Gs &amp;&amp;...&#160;</td>
          <td class="paramname"><em>moreGenerators</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aebb8051e604c7415bb7e7de91278c278"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebb8051e604c7415bb7e7de91278c278">&#9670;&nbsp;</a></span>populate() <span class="overload">[8/8]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename U , typename... Gs&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::populate </td>
          <td>(</td>
          <td class="paramtype">U &amp;&amp;&#160;</td>
          <td class="paramname"><em>valueOrGenerator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Gs &amp;&amp;...&#160;</td>
          <td class="paramname"><em>moreGenerators</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a8f5cd6b2479cfadbd45033c4ad17ff0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f5cd6b2479cfadbd45033c4ad17ff0c">&#9670;&nbsp;</a></span>m_current</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::m_current = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abb4eb18550a846542bb3757c120fb958"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb4eb18550a846542bb3757c120fb958">&#9670;&nbsp;</a></span>m_generators</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; <a class="el" href="classCatch_1_1Generators_1_1GeneratorWrapper.html">GeneratorWrapper</a>&lt; T &gt; &gt; <a class="el" href="classCatch_1_1Generators_1_1Generators.html">Catch::Generators::Generators</a>&lt; T &gt;::m_generators</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
